Bug 1361084 - [RFE]: EC events
Summary: [RFE]: EC events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Ashish Pandey
QA Contact: Sweta Anandpara
URL:
Whiteboard: USM-Gluster integration
: 1376805 (view as bug list)
Depends On: 1371470 1374167 1376805
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-07-28 10:22 UTC by Pranith Kumar K
Modified: 2017-03-23 05:41 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 05:41:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Pranith Kumar K 2016-07-28 10:22:24 UTC
Description of problem:
This RFE is to track the changes required in the EC component to generate the events to be consumed by the eventing framework.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Atin Mukherjee 2016-08-30 10:39:08 UTC
http://review.gluster.org/15348 posted upstream for review.

Comment 4 Atin Mukherjee 2016-09-16 12:52:21 UTC
downstream patch https://code.engineering.redhat.com/gerrit/#/c/84812/ merged

Comment 5 Ashish Pandey 2016-09-17 04:41:01 UTC
*** Bug 1376805 has been marked as a duplicate of this bug. ***

Comment 8 Sweta Anandpara 2016-11-16 06:14:43 UTC
Tested and verified this on the build 3.8.4-x (x:1-5)

Have seen the below mentioned EC events multiple times during my testing on a disperse volume.
* EC_MIN_BRICKS_UP
* EC_MIN_BRICKS_NOT_UP

Will raise a separate BZ if I see any specific issues. Moving this blanket BZ to verified.

Comment 10 errata-xmlrpc 2017-03-23 05:41:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.